print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricecoal = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local coalHudFile = "Paletten/hud_fill_coal.dds"
	local coalHudFileSmall = "Paletten/hud_fill_coal_small.dds"
	
    local coalFilType = g_fillTypeManager:addFillType("Coal", g_i18n:getText("coal"), true, pricecoal * 1.6, 0.00045, math.rad(10), coalHudFile, coalHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hascoal=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hascoal=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "Coal" then
		hascoal=true
	end;
		
end;

		if hasmaize and not hascoal then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("Coal")
		local price = g_fillTypeManager:getFillTypeByName("Coal").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("Coal")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)